version: 26.2.3
files:
  - url: Trezor-Suite-26.2.3-win-x64.exe
    sha512: SBRERWzPGLFJiGW+JEcqPH8AGbY2mbIcCYrWqkNQ1a5LQXYV+EdxQopCXXieV11Wd/nzPwgANFA5oJEHWUMjXQ==
    size: 147586216
path: Trezor-Suite-26.2.3-win-x64.exe
sha512: SBRERWzPGLFJiGW+JEcqPH8AGbY2mbIcCYrWqkNQ1a5LQXYV+EdxQopCXXieV11Wd/nzPwgANFA5oJEHWUMjXQ==
releaseNotes: |
  ### 🎨 Improvements

  - The transaction list has been redesigned to provide a clearer, more intuitive overview of your transaction history.
  - Trezor device wipe behavior has been unified across platforms for a more consistent and streamlined experience.
  - The labeling system has been enhanced, offering a more robust and user-friendly way to organize assets and transactions.
  - The transaction notifications have been redesigned to improve readability.

  ### 🔧 Bug fixes

  - Minor bugs have been resolved alongside performance optimizations, ensuring a smoother and more reliable experience overall.
releaseDate: '2026-02-18T15:52:55.970Z'
stagingPercentage: 20
